### Function

# Panel WorkspaceForeach

since: 1.4

#### Declaration

    void
    (* PanelWorkspaceForeach) (
      PanelWorkspace* workspace,
      gpointer user_data
    )

#### Description [src]

This function is called for each workspace window within a `PanelWorkbench` when using panel_workbench_foreach_workspace().

Available since: 1.4

#### Parameters

`workspace`

  Type: `PanelWorkspace`

  A `PanelWorkspace`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Closure data provided with foreach func.

  The argument can be `NULL`.
  The data is owned by the caller of the function.